/* uas.h */

typedef unsigned long  DWORD;
typedef unsigned short WORD;
typedef unsigned char  BYTE;

#define LO_BYTE(w)	 ((int)((WORD)(w) & 0xFF))
#define HI_BYTE(w)	 ((int) (((WORD) (w) >> 8) & 0xFF))

char *strend(register char *str);

void uasPrintf(char *fmt,...);
void uasFlash(void);

void s_undef(WORD w);

int fetchW(void);

void uas(void);
void anzError(int line);

int nibble(WORD w,int idx);

char *regByte(int idx);
char *regWord(int idx);
char *regLong(int idx);

#define ANZ_ERROR() anzError(__LINE__)

#ifdef NDEBUG
#define ANZ_ASSERT(p) (void(0))
#else
#define ANZ_ASSERT(p) ((p)? (void)0 : anzError(__LINE__))
#endif
