
/*( -W -O2 -s -o h83dmp.exe )*/
/*( -w -O1 )*/
/*(-Oityb1 -Gs -W3 -Zi -link USER32.LIB /debug:full /DEBUGTYPE:COFF /MAP )*/

//	H8S/H8300H Ղ[ĂĂ

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdarg.h>
#include <string.h>
#include <signal.h>
#include "uas.h"

#define __RELVER__ "Exp 0.01"

char Version[] =
	"h83dmp "__RELVER__" " "M.Higuchi ("__DATE__")";

#define BUFF_SIZE ((255+2)*2+2)	// sobt@TCY

void pexit( char *format, ... );

struct
//	R}hCIvV
{
	unsigned long O_offs;	// ROMzuItZbg
	unsigned long O_size;	// ROM̃oCgTCY
	char Ign;	// Ignore check-sum
	char Bin;	// source is binary
	char *Src;
	char *Dest;
}	Opt;

void usage(void)
{
	static char help[]=
{
	"Hitach H8S/H8300H Dump Utility.\n"
	"Syntax: h83dmp [Options] [source]\n"
	"Options are ...\n"
	"-i         Ignore check-sum.\n"
	"-o=xxxxxx  Offset (hex).\n"
	"-s=xxxxxx  object Size (hex).\n"
	"-b         input is Binary (source name mandatory).\n"
	"-?  display this message.\n"
};
	printf("\n%s\n%s",Version,help);
	exit(0);
}

int hextol(const char *hexline ,long *vals,int nwants)
{
	const char *start;
	char *end;
	long val;
	int ret=0;
	start=hexline;
	do{
		val=strtol(start,&end, 16 );
		if(start==end )start++;
		else{
			*vals++=val;
			ret++;
			start=end;
		}
	}	while( (ret<nwants) && *end != '\0');
	return ret;
}

char *strend(register char *str)	// ̐KԂ
{
	while(*str)str++;
	return str;
}


//	=================== R}hC̋ᖡ ========================
void argGetHex(const char *p,unsigned long *val)
//	R}hCIvV p ("=xxxx") xxxx(HEX) *val ɕϊ
//	ӖŝƂ usage() ֍sȂ!!
{
	int c;
	register unsigned long u=0;
	if( *(++p) != '=' )usage();
	while( (c=*(++p))!=0 )
	{
		u<<=4;
		c|=0x20;	/* tolowerĂ */
		if (c>='0' && c<='9')
			u|=(unsigned long)(c-'0');
		else if (c>='a'&&c<='f' )
			u|=(unsigned long)(c-('a'-10));
		else usage();
	}
	*val = u;
}


void getArgOption(int argc, char *argv[])
//	Opt R}hC͂ Opt 𓾂
{
	int i;
	char *p;
//	if(argc < 2) usage();
	Opt.O_offs = 0;			// offset
	Opt.O_size = 0x10000;	// bytesize = 64kB
	Opt.Ign = 0;			// no ignore check-sum
	Opt.Bin = 0;			// no binary input
	Opt.Src = NULL;
	Opt.Dest = NULL;
	for(i=1;i<argc;i++)
	{
		p=argv[i];
		if(*p=='/' || *p=='-')
		{
			switch ( ( *(++p) ) | 0x20) /* tolower() */
			{
			case 'o':
				argGetHex(p,&Opt.O_offs );
				break;
			case 's':
				argGetHex(p,&Opt.O_size );
				break;
			case 'i':
				Opt.Ign=1;
				break;
			case 'b':
				Opt.Bin=1;
				break;
			default:
				usage();
				break;
			}
		}
		else if (Opt.Src==NULL) Opt.Src=p; else Opt.Dest= p;
	}
//	if( Opt.Dest==NULL)usage();	// t@ČwȂ
}

//	=================== ROMC[W ========================

BYTE *Obj;
unsigned int ObjBegin;
unsigned int ObjLast;
// Obj[ObjBegin]  Obj[ObjLast] ǂݍ݌ɗLȃf[^B
// \ׂAhX Opt.O_offs+ObjBegin  Opt.O_offs+ObjLast ƂȂB
unsigned int ObjUasIdx;

//	=================== t ========================

char UasBuff[128];
char DumpBuff[128];
#define COLUMN_UAS 32
enum {UAS_NORMAL,UAS_FAIL};
int UasStatus=UAS_NORMAL;

void uasFlash(void)
{
	int i;
	for ( i=strlen(DumpBuff); i<(COLUMN_UAS-1); i++ ) DumpBuff[i]=' ';
	DumpBuff[i]='\0';
	printf("%s%s\n",DumpBuff,UasBuff);
	DumpBuff[0]='\0';
	UasBuff[0]='\0';
	UasStatus=UAS_NORMAL;
}

void s_undef(WORD w)
{
	if(UasStatus==UAS_NORMAL)
	{
		sprintf(UasBuff,".DATA.W H\'%04X",(int)w);
		UasStatus=UAS_FAIL;
	}
	else
		sprintf(strend(UasBuff),",H\'%04X",(int)w );
}

void uasPrintf(char *fmt,...)
{
	va_list argptr;
	va_start(argptr, fmt);
	vsprintf(strend(UasBuff), fmt, argptr);
}

int objFetchB(void)
{
	int ret;
	if(ObjUasIdx >ObjLast || ObjUasIdx <ObjBegin)
		ret= 0xFF;
	else ret=Obj[ObjUasIdx++];
	sprintf(strend(DumpBuff),"%02X ",ret);
	return ret;
}

int fetchW(void)
{
	return	(objFetchB()<<8)|objFetchB() ;
}

unsigned long uasMem(unsigned long startadr ,unsigned long endadr)
{
	size_t startix, endix;
	int lines;
	startix =startadr-Opt.O_offs; endix =endadr-Opt.O_offs;
	if(endix>ObjLast) endix=ObjLast;
	if( (endix<startix) ||(startix<ObjBegin) || (startix>ObjLast ) )
	{
		fprintf(stderr,"Error: Out of range.\n");
		return Opt.O_offs;
	}
	ObjUasIdx=startix;
	lines=0;
	do{
		printf("%08X : ",ObjUasIdx+Opt.O_offs);
		uas();
	}while(ObjUasIdx<endix);
	return ObjUasIdx+Opt.O_offs;
}


//	======================= ߂肾Օ\p =============================

char * byte2Hex(register unsigned char b,register char *p)
// ޲ b  p ͷ 2ɂĂ.
{
	static char hex[]="0123456789ABCDEF";
	*p++=hex[b>>4];
	*p++=hex[b & 15];
	return p;
}

void dumpLineB(unsigned char *mem,int len)
{
	char buff[80];
	char *p;
	int i;
	p=buff;
	for(i=0;i<len;i++)
	{
		p=byte2Hex(*mem++,p);
		*p= (i==7)? (char)'-':(char)' ';
		p++;
	}
	*p++='\n';	*p='\0';
	printf("%s",buff);
}

void dumpLineW(unsigned char *mem,int len)
{
	char buff[80];
	char *p;
	int i;
	p=buff;
	for(i=0;i<len;i+=2)
	{
		p=byte2Hex(*mem++,p);
		p=byte2Hex(*mem++,p);
		*p= ((i%4)==3)? (char)'-':(char)' ';
		p++;
	}
	*p++='\n';	*p='\0';
	printf("%s",buff);
}

void dumpLineL(unsigned char *mem,int len)
{
	char buff[80];
	char *p;
	int i;
	p=buff;
	for(i=0;i<len;i+=4)
	{
		p=byte2Hex(*mem++,p);
		p=byte2Hex(*mem++,p);
		p=byte2Hex(*mem++,p);
		p=byte2Hex(*mem++,p);
		*p= (char)' ';
		p++;
	}
	*p++='\n';	*p='\0';
	printf("%s",buff);
}


//	=================== ROMC[Ŵ ========================

void (*LineDumpFunc)(unsigned char * ,int)=dumpLineB;

int dumpMem(size_t startadr,size_t endadr)
{
	size_t ix,startix, endix;
	int lines;
	startix =startadr-Opt.O_offs; endix =endadr-Opt.O_offs;
	if(endix>ObjLast) endix=ObjLast;
	if( (endix<startix) ||(startix<ObjBegin) || (startix>ObjLast ) )
	{
		fprintf(stderr,"Error: Out of range.\n");
		return 0;
	}
	lines = (int)(endix - startix)/16;

	for(ix=startix;lines>0;lines--)
	{
		printf("%08X : ",ix+Opt.O_offs);
		(*LineDumpFunc)(&Obj[ix],16);
		ix+=16;
	}
	return 1;
}


//	=================== S-RECORD̋ᖡ ========================

int isXdigit(register int c)
{
	if (c>='0' && c<='9') return 1;
	c |= 0x20;
	if (c>='a'&&c<='f' ) return 1;
	return 0;
}

int hextoNib(register int c )	/* '0' ` 'F'  0x00 ` 0x0f	*/
{
	int i;
	c|=0x20;
	if (c>='0' && c<='9') i=(c-'0');
	else if (c>='a'&&c<='f' ) i = c-('a'-10);
	else i = -1;
	return i;
}

int toByte(register const char *hex)
{
	return ( hextoNib(*hex)<<4 )|hextoNib(*(hex+1)) ;
}

int calcChecksum(register const char *hex)
{
	int sum;
	for(sum=0; isXdigit(*hex) && isXdigit(*(hex+1)) ;hex+=2)
	{
		sum += toByte(hex);
	}
	sum &= 0xff;
	return sum;
}

void printHeader( char *hex)
{
	char buff[256];
	char *p=buff;
	int len;
	hex +=2;
	len=toByte( hex) - 3;
	hex +=6;
	while(len>0)
	{
		int c;
		if((c=toByte(hex))!=0) *p++=(char)c;
		len--;
		hex +=2;
	}
	*p='\0';
	printf("Header : <%s>\n",buff);
}

void printFooter( char *hex)
{
	unsigned int start;
	int adrlen;
	register char *p = hex+1;
	adrlen=11 - (int)(*p) ; p++;
	for(start=0;adrlen>0;adrlen--)
	{
		start <<= 8;
		start |= toByte( p ); p+=2;
	}
	printf("Footer: (%08Xh)\n",start);
}

#if 0
struct hexform {
	char typeC;			/* ^Cv 'S'	 */
	char typeN;			/* ^Cv 0,1,2,3,7,8 or 9	  */
	char numrec[ 2 ];	/* f[^	  */
	char record[ 4 ];	/* AhX(4,6,8),f[^,T	 */
} *phex;
#endif

//	=================== ROMC[W ========================

int storeBin (	char *hex)
{
	int objlen,adrlen;
	unsigned int start,end;
	char *p;
//	printf("hex=\"%s\"\n",hex);
	p= hex; p++;
	adrlen=hextoNib((int)(*p)) +1; p++;
	objlen=toByte(p )-adrlen -1; p+=2;
//	printf("adrlen=%d objlen=%d\n",adrlen,objlen);
	for(start=0; adrlen>0; adrlen--)
	{
		start <<= 8;
		start |= toByte( p ); p+=2;
	}
	start -= Opt.O_offs;
	end = start +objlen-1;
//	printf("start=%06Xh end=%06Xh\n",start,end);
	if(start>Opt.O_size || end>=Opt.O_size)
		return 0;
	if(start < ObjBegin)ObjBegin=start;
	if(end > ObjLast)ObjLast=end;
	for(;start<=end;start++)
	{
		Obj[start]=(BYTE)toByte(p);
		p+=2;
	}
	return objlen;
}

//	=================== St@CROMC[Wɕϊ ========================

int srecToBinary(FILE *fpIn)
{
	char buff[BUFF_SIZE];
	int lineRead=0;
	while( fgets(buff,BUFF_SIZE,fpIn) )
	{
		int lenline;
		lineRead++;
		if(buff[0] !='S') continue;
		if( (lenline=strlen(buff))>(BUFF_SIZE-2) )
			pexit("Too long line %d.",lenline);
		else
		lenline--; buff[lenline]='\0';
		if( lenline< 10	 )
			pexit("Too short line %d.",lineRead);
		if( lenline != toByte(&buff[2])*2 + 4)
			pexit("Illegal line %d.",lineRead);
		if(! Opt.Ign )
		if( calcChecksum (&buff[2])!= 0xFF)
			pexit("Checksum wrong at line %d.",lineRead);

		switch(buff[1]-'0')
		{
		case 0:	// wb_R[h
			printHeader(buff );
			break;
		case 1:	// 2byteAhX
		case 2:	// 3byteAhX
		case 3:	// 4byteAhX R[h/f[^
			if(storeBin(buff)==0)
				pexit("Out of address range at line %d.",lineRead);
			break;
		case 7:	// 4byteAhX
		case 8: // 3byteAhX
		case 9: // 2byteAhX ^[~l[VR[h
			printFooter(buff);
			return 1;	// normal end;
			// break;
		default:
			pexit("Unknown record type %d.",lineRead);
			break;
		}	// end_switch
	}
	pexit("Abnormal file end %d.",lineRead);
	return 0;
}

//	=================== bZ[WfďI ========================
void pexit( char *format, ... )
{
	va_list ap;
	fprintf(stderr,"Error: ");
	va_start(ap,format);
	vfprintf(stderr, format,ap);
	va_end(ap);
	fprintf(stderr,"\n");
//	fcloseall();
	if(Obj !=NULL)free(Obj);
	exit(1);
}

//	=================== ߂ɂイ ========================

char *skipSpace(char *line)
{
	while(*line==0x20 || *line==0x09)
		line++;
	return line;
}


void cmdDump(char *cmdline)
{
	static unsigned long adrs[2];
	int argc;
	switch(*cmdline)
	{
	case 'b':
	case 'B':
		LineDumpFunc=dumpLineB;
		cmdline++;
		break;
	case 'w':
	case 'W':
		LineDumpFunc=dumpLineW;
		cmdline++;
		break;
	case 'd':
	case 'D':
		LineDumpFunc=dumpLineL;
		cmdline++;
		break;
	case ' ':
	case '\t':
	case '\n':
	case '\r':
	case '\0':
		break;
	default:
		printf("type not supported\n");
		return;
	}
	argc = hextol(cmdline ,(long*)adrs, 2);
	switch(argc)
	{
	case 0:
		adrs[0]=adrs[1];
	case 1:
		adrs[1] = adrs[0] + (8 * 16);
	case 2:
	default:
		break;
	}
	if(!dumpMem((size_t)adrs[0],(size_t)adrs[1]))
	{
		adrs[0]=adrs[1]=Opt.O_offs+ObjBegin;
	}
}


void cmdUas(char *cmdline)
{
	static unsigned long adrs[2];
	int argc;
	argc = hextol(cmdline ,(long*)adrs, 2);
	switch(argc)
	{
	case 0:
		adrs[0]=adrs[1];
	case 1:
		adrs[1] = adrs[0] +	 64 ;
	case 2:
	default:
		break;
	}
	adrs[1] = uasMem((size_t)adrs[0],(size_t)adrs[1]);
}

void cmdHelp(void)
{
	static char msg[]=
{
	"D[type] [<range>] - dump object \n"
	"U [<range>] - unassemble \n"
	"Q - quit \n"
};
	printf("%s",msg);
	printf("Object Start=%08X Last=%08X\n",
		ObjBegin+Opt.O_offs,ObjLast+Opt.O_offs);
}



void menuMain( void )
{
	char buff[80], *line;
	for(;;){
		printf("-");
		fgets(buff,80,stdin);
		line=skipSpace(buff);
		switch(*line)
		{
		case 'q':
		case 'Q':
			printf("--- Bye! ---\n");
			return;
		case 'd':
		case 'D':
			cmdDump(line+1);
			break;
		case 'u':
		case 'U':
			cmdUas(line+1);
			break;
		case 'h':
		case 'H':
		case '?':
			cmdHelp();
		case '\n':
		case '\r':
		case '\0':
			break;
		default:
			printf("command not supported.\n");
			break;
		}
	}
}

//	=================== ߂ ========================
void sigintExit(int x){pexit("caught Ctrl-C or killed.");}
void sigsegvExit(int x){pexit("caught SIGSEGV unexpected.");}

int	 main( int ac, char *av[])
{
	FILE *fp;

	signal(SIGINT,sigintExit);
	signal(SIGTERM,sigintExit);
	signal(SIGSEGV,sigsegvExit);

	getArgOption(ac,av);

	if((Obj=(BYTE*)malloc(Opt.O_size))==NULL)
		pexit("Insufficient memory.");
	memset(Obj,0xFF,Opt.O_size);
	if(Opt.Bin!=0)
	{
		size_t nbytes;
		if (Opt.Src==NULL)	// ̓t@Cw肵
			pexit("Input file must be specified.");
		if((fp = fopen(Opt.Src,"rb")) == NULL)	// ̓t@C܂
			pexit("Input file[%s] open failed.",Opt.Src );
		nbytes=fread(Obj,sizeof(unsigned char),Opt.O_size,fp);
		fclose(fp);
		printf("%u Bytes read.\n",nbytes);
		ObjBegin = 0;
		ObjLast = nbytes;
	}
	else
	{
		ObjBegin=Opt.O_size;
		ObjLast=0;
		if(Opt.Src==NULL) fp=stdin;
		else if ((fp = fopen(Opt.Src,"rt")) == NULL)	// ̓t@C
			pexit("Input file[%s] open failed.",Opt.Src );
		srecToBinary(fp);
		if(fp!=stdin) fclose(fp);
	}
	printf("Object Start=%08X Last=%08X\n",
		ObjBegin+Opt.O_offs,ObjLast+Opt.O_offs);
	menuMain( );
	return 0;
}
